package day01

import (
	"fmt"
	"log"

	"github.com/onyx-and-iris/aoc2024/day-01/internal/one"
	"github.com/onyx-and-iris/aoc2024/day-01/internal/two"
)

func Solve(data []byte) {
	val, err := one.Solve(data)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("solution one: %d\n", val)

	val, err = two.Solve(data)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("solution two: %d\n", val)
}
